﻿<%@ Control Language="Oxygene" AutoEventWireup="true" CodeFile="MetaData.ascx.pas" Inherits="MetaData" %>
<meta name="keywords" content="<%=Keywords%>"/>
<meta name="description" content="<%=Description%>"/>
<% if assigned(Image) then begin %><meta property="og:image" content="https://www.remobjects.com<%=Image%>"/><% end; %>
<meta property="og:title" content="<%=Page.Title%>"/>
<meta property="og:description" content="<%=Description%>"/>
<meta property="og:type" content=""/>
<meta property="og:sitename" content="<%= if assigned(SiteName) then SiteName else "RemObjects Software."%>RemObjects Elements."/>
<meta property="og:url" content="https://www.remobjects.com<%=if Request.Path.EndsWith("/default.aspx") then Request.Path.Substring(0,length(Request.Path)-12) else if Request.Path.EndsWith(".aspx") then Request.Path.Substring(0,length(Request.Path)-5) else Request.Path%>"/>
<% if assigned(Image) then begin %>
<meta name="twitter:card" content="summary_large_image"/>
<meta name="twitter:site" content="@<%= if assigned(TwitterHandle) then TwitterHandle else "RemObjects"%>"/>
<meta name="twitter:image" content="https://www.remobjects.com<%=Image%>"/>
<meta name="twitter:title" content="<%=coalesce(CardTitle, Page.Title)%>"/>
<meta name="twitter:description" content="<%=coalesce(CardDescription, Description)%>"/>
<% end; %>