﻿namespace;

uses
  System,
  System.Linq,
  System.Configuration,
  System.Web,
  System.Web.Security,
  System.Web.SessionState,
  System.Web.UI,
  System.Web.UI.WebControls,
  System.Web.UI.WebControls.WebParts,
  System.Web.UI.HtmlControls;

type
  RemObjectsRootMasterPage = public partial class(MasterPage)
  public
    property GATrackingID: String;

  protected

    method Page_Load(sender: Object; e: EventArgs);
    begin
      //Response.Write("*master*");
      var lTitle := "RemObjects Software "+ConfigurationManager.AppSettings["RegionName"];
      Session["Language"] := "en";

      if (Context.Request.ServerVariables["HTTP_HOST"] <> "staging.remobjects.de") then begin
        Response.Redirect("https://www.remobjects.com");
      end
      else begin
        //RemObjects.Website4.Data.DataAccess.Instance.PageCacheEnabled := false;
      end;


      if not assigned(Session['ShoppingCart']) then begin
        var lCookie := Request.Cookies["Shop"];
        if assigned(lCookie) then begin
        end;
      end;

      var lQuery := Request.QueryString["Cart"];
      if assigned(lQuery) then begin
      end;

      //var lServerName := Request.ServerVariables["HTTP_HOST"];

      //if not IsSecure then begin
        //if ConfigurationManager.AppSettings["secure-domain:"+lServerName] = "True" then
          //RedirectHelpers.RedirectCurrentRequest(Context, "https://"+lServerName)
        //else if ConfigurationManager.AppSettings["secure-domain:www."+lServerName] = "True" then
          //RedirectHelpers.RedirectCurrentRequest(Context, "https://www."+lServerName)
        //else if not RedirectHelpers.RedirectRequest(Context) then
          //RedirectHelpers.RedirectCurrentRequest(Context, "https://www.remobjects.com");
        //exit;
      //end;

      //DoAutoLogin();
      //CheckStagingAccess();

      // Handle secure.remobjects.com subsite
      //if (lServerName in ["secure.remobjects.com"]) then begin

        //if (Request.ServerVariables["PATH_INFO"].ToLower = "/default.aspx") then begin
          //RedirectHelpers.RedirectCurrentRequest(Context, "/portal/");
          //exit;
        //end;

        //if (not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/404")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/500")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/api/")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/admin/")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/checkout")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/debug")) and
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/portal/")) then begin
          //RedirectHelpers.RedirectCurrentRequest(Context, "http://www.remobjects.com");
          //exit;
        //end;

      //end

      //else if (lServerName in ["staging.remobjects.com", "staging2.remobjects.com"]) then begin
        //// Handle staging: never redirect off
      //end
      //else if (lServerName in ["website.remobjects.com"]) then begin
        //// Handle staging: never redirect off
      //end
      //else if lServerName.Contains("docs.remobjects.com") then begin

        //lTitle := "RemObjects Software Docs";
        //GATrackingID := "UA-556665-14"; // same as main site, for now
        //if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/default.")) then begin // root page redirects to /DA
          //Response.Redirect("/docs/");
          //exit;
        //end;
        //if (not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/staging")) and // other non-/DA links redirect to remobjects.com
           //(not Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/docs/")) then begin
          //RedirectHelpers.RedirectCurrentRequest(Context, "https://www.remobjects.com");
          //exit;
        //end;

      //end
      //else if ForwardDomain("dataabstract.com") toFolder("da") then begin

        //lTitle := "Data Abstract";
        //GATrackingID := "UA-556665-21";

      //end
      //else if ForwardDomain("remotingsdk.com") toFolder("ro") then begin

        //lTitle := "Remoting SDK";
        //GATrackingID := "UA-556665-27";

      //end
      //else if ForwardDomain("swifteverywhere.com") toFolder("elements/silver/everywhere") then begin

        //lTitle := "Elements";
        //GATrackingID := "UA-556665-26";

      //end
      //else if ForwardDomain("elementscompiler.com") toFolder("elements") then begin

        //lTitle := "Elements";
        //GATrackingID := "UA-556665-26";

      //end
      //else if ForwardDomain("oxfuscator.com") toFolder("oxfuscator") then begin

        //lTitle := "Oxfuscator";
        //GATrackingID := "UA-556665-22";

      //end
      //else if ForwardDomain("hydra.remobjects.com") toFolder("hydra") then begin

        //lTitle := "Hydra";
        //GATrackingID := "UA-556665-23";

      //end

      // Handle main www.remobjects.com site
      //else if (lServerName in ["www.remobjects.com", "www.remobjects.co", "d1b73ozz1yqhpu.cloudfront.net"]) then begin

        //if not IsStaging then begin
          //GATrackingID := "UA-556665-14";
          ////if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/da/")) then begin
          ////  RedirectHelpers.RedirectCurrentRequest(Context, "http://www.dataabstract.com");
          ////  exit;
          ////end;
          ////if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/admin/")) or
          ////   (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/checkout/")) or
          ////   (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/portal/")) then begin
          ////  RedirectHelpers.RedirectCurrentRequest(Context, "https://secure.remobjects.com");
          ////  exit;
          ////end;
          ////if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/docs/"))  then begin
          ////  RedirectHelpers.RedirectCurrentRequest(Context, "http://docs.remobjects.com");
          ////  exit;
          ////end;
          ////if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/da/"))  then begin
          ////  RedirectHelpers.RedirectCurrentRequest(Context, "http://www.dataabstract.com");
          ////  exit;
          ////end;
          ////if (Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/oxfuscator/"))  then begin
          ////  RedirectHelpers.RedirectCurrentRequest(Context, "http://www.oxfuscator.com");
          ////  exit;
          ////end;
        //end;

      //end

      // Handle non-www requests
      //else if (lServerName in ["remobjects.com"]) then begin
        //RedirectHelpers.RedirectCurrentRequest(Context, "https://www.remobjects.com");
        //exit;
      //end

      //else begin
        //RedirectHelpers.RedirectRequest(Context);
      //end;

      if Head.Title <> '' then
        Head.Title := Head.Title+" | "+lTitle
      else
        Head.Title := "x"+lTitle;
      //if IsStaging then
        //head.Title := head.Title+' [Staging]';

      //if Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/portal/") then begin
        //EnforceLogin();
      //end
      //else if Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/connect/") then begin
        //EnforceLogin();
      //end
      //else if Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/checkout/") then begin
        //// we don't require login for checkout. // EnforceCheckoutLogin();
      //end
      //else if Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/admin/") then begin
        //EnforceAdminLogin();
      //end
      //else if Request.ServerVariables["PATH_INFO"].ToLower.StartsWith("/iphone") then begin
        //iPhone := true;
      //end;
    end;

  end;

end.